Appearance
动作控制
接口与可灵官网一致;支持参考图片与动作视频驱动生成视频
- 路径
POST /kling/v1/videos/motion-control - 与官网一致:本页请求体、字段命名与返回结构与可灵官网保持一致
- 字段详解:请参考官网权威文档
请求参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
model_name | string | 否 | 模型名称,仅支持 kling-v2-6、kling-v3,默认 kling-v2-6 |
prompt | string | 否 | 文本提示词,可用于补充元素或运镜描述 |
image_url | string | 是 | 参考图片 URL 或 Base64 |
video_url | string | 是 | 参考动作视频 URL |
element_list | array | 否 | 主体引用列表,当前最多 1 个主体 |
keep_original_sound | string | 否 | 是否保留原声:yes、no,默认 yes |
character_orientation | string | 是 | 人物朝向:image、video |
mode | string | 是 | 生成模式:std、pro |
watermark_info | object | 否 | 是否生成含水印结果 |
callback_url | string | 否 | 回调通知地址 |
external_task_id | string | 否 | 自定义任务 ID |
element_list 格式
json
{
"element_list": [
{
"element_id": 829836802793406551
}
]
}补充约束
character_orientation=image时,参考视频时长不得超过 10 秒;character_orientation=video时,参考视频时长不得超过 30 秒;keep_original_sound仅支持yes/no;mode仅支持std/pro;model_name仅支持kling-v2-6/kling-v3。
场景:参考图片 + 参考动作视频生成视频
bash
curl --request POST \
--url https://aiapi.fhddos.com/kling/v1/videos/motion-control \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model_name": "kling-v2-6",
"image_url": "https://example.com/ref.png",
"prompt": "女孩穿着灰色宽松T恤和牛仔短裤",
"video_url": "https://example.com/motion.mp4",
"keep_original_sound": "yes",
"character_orientation": "image",
"mode": "pro",
"external_task_id": "motion-demo-001"
}'示例响应
json
{
"code": 0,
"message": "success",
"request_id": "req_1735558800_motion123",
"data": {
"task_id": "task_01JGHN...",
"task_info": {
"external_task_id": "motion-demo-001"
},
"task_status": "submitted",
"created_at": 1735558800000,
"updated_at": 1735558800000
}
}任务查询
bash
# 查询单个任务
curl "https://aiapi.fhddos.com/kling/v1/videos/motion-control/$TASK_ID" \
-H "Authorization: Bearer $TOKEN"
# 查询任务列表
curl "https://aiapi.fhddos.com/kling/v1/videos/motion-control?pageNum=1&pageSize=30" \
-H "Authorization: Bearer $TOKEN"OpenAPI
yaml
openapi: 3.0.3
info:
title: Fhddos Core API
version: '1.0'
description: >-
Core OpenAI-compatible and model-family endpoints used by the Fhddos user
docs.
servers:
- url: https://aiapi.fhddos.com
security:
- BearerAuth: []
paths:
/kling/v1/videos/motion-control:
post:
tags:
- Kling
summary: Kling motion control
requestBody:
$ref: '#/components/requestBodies/JsonObject'
responses:
'200':
$ref: '#/components/responses/JsonObject'
components:
requestBodies:
JsonObject:
required: true
content:
application/json:
schema:
$ref: '#/components/schemas/GenericObject'
responses:
JsonObject:
description: OK
content:
application/json:
schema:
$ref: '#/components/schemas/GenericObject'
schemas:
GenericObject:
type: object
additionalProperties: true
securitySchemes:
BearerAuth:
type: http
scheme: bearer
description: 'Authorization: Bearer <token>'